"""==============================================================
با فرض اینکه نمرات ۳۰ نفر دانشجویان کلاسی در یک درس قبلاً در آرایه A
ذخیره شده است منطق برنامه ای را طراحی کنید که نمرات مذکور را به
صورت صعودی مرتب نماید سپس آنها را به صورت صعودی و نزولی نمایش دهد
=============================================================="""

A = [1,12,5,3,14,32,28]

#-----------------مرتب سازی با الگوریتم انتخابی------------


max = A[0]
for i in A:
    if i > max:
        max = i

B = []
for i in range(len(A)):
    min = A[0]
    index = 0
    for j in range(len(A)):
        if A[j] < min:
            min = A[j]
            index = j
    B.append(min)
    A[index] = max + 1

print(B)

